Skip to main content
GET
/
v1
/
links
/
{link_id}
/
statements
/
{statement_id}
Retrieve a statement
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/statements/{statement_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "pay_date": "2018-05-15T00:00:00.000Z",
  "id": "24d7e80942ce4ad58a93f70ce4115f5c",
  "check_number": "29205182",
  "net_pay": "11500.32",
  "net_pay_ytd": "31980.64",
  "gross_pay": "13900.11",
  "gross_pay_ytd": "49200.00",
  "bonus": "100.00",
  "commission": "12000.00",
  "hours": "40.00",
  "basis_of_pay": "S",
  "period_start": "2018-05-01T00:00:00.000Z",
  "period_end": "2018-05-15T00:00:00.000Z",
  "regular": "1695.11",
  "regular_ytd": "23000.00",
  "other_pay_ytd": "700.00",
  "bonus_ytd": "1000.00",
  "commission_ytd": "24000.00",
  "overtime": "45.00",
  "overtime_ytd": "500.00",
  "other_pay": "60.00",
  "earnings": [
    {
      "name": "Regular",
      "amount": "1935.77",
      "category": "regular",
      "rate": null,
      "units": null
    },
    {
      "name": "Overtime",
      "amount": "60.58",
      "category": "overtime",
      "rate": "30.29",
      "units": "2"
    }
  ],
  "earnings_ytd": [
    {
      "name": "Regular",
      "amount": "1935.77",
      "category": "regular",
      "rate": null,
      "units": null
    },
    {
      "name": "Overtime",
      "amount": "60.58",
      "category": "overtime",
      "rate": "30.29",
      "units": "2"
    }
  ],
  "deductions": [
    {
      "name": "Social Security Tax",
      "amount": "127.01",
      "category": "socialsec"
    },
    {
      "name": "VA State Income Tax",
      "amount": "46.23",
      "category": "state"
    },
    {
      "name": "Medicare Tax",
      "amount": "29.7",
      "category": "medicare"
    }
  ],
  "deductions_ytd": [
    {
      "name": "Social Security Tax",
      "amount": "127.01",
      "category": "socialsec"
    },
    {
      "name": "VA State Income Tax",
      "amount": "46.23",
      "category": "state"
    },
    {
      "name": "Medicare Tax",
      "amount": "29.7",
      "category": "medicare"
    }
  ],
  "md5sum": "03639d6a6624f69a54a88ea90bd25e9d",
  "file": "https://cdn.truv.com/paystub_sample.pdf",
  "derived_fields": [
    "basis_of_pay"
  ],
  "missing_data_fields": [
    "earnings_ytd"
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

statement_id
string
required

Statement ID

Response

Pay stub data

pay_date
string<date>
required

Pay Date

Example:

"2018-05-15T00:00:00.000Z"

id
string

Unique ID

Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

check_number
string<string> | null

External ID of pay stub from the payroll provider

Example:

"29205182"

net_pay
string<decimal> | null

Net pay

Example:

"11500.32"

net_pay_ytd
string<decimal> | null

Net pay year to date

Example:

"31980.64"

gross_pay
string<decimal> | null

Gross pay

Example:

"13900.11"

gross_pay_ytd
string<decimal> | null

Gross pay year to date

Example:

"49200.00"

bonus
string<decimal> | null

Bonus

Example:

"100.00"

commission
string<decimal> | null

Commission

Example:

"12000.00"

hours
string<decimal> | null

Work hours during a pay period

Example:

"40.00"

basis_of_pay
enum<string> | null

Basis of pay:

  • S - Salary,
  • H - Hourly,
  • D - Daily,
  • W - Weekly,
  • M - Monthly,
  • C - Contract,
Available options:
S,
H,
D,
W,
M,
null
Example:

"S"

period_start
string<date> | null

Period start

Example:

"2018-05-01T00:00:00.000Z"

period_end
string<date> | null

Period end

Example:

"2018-05-15T00:00:00.000Z"

regular
string<decimal> | null

Regular pay

Example:

"1695.11"

regular_ytd
string<decimal> | null

Regular salary year to date

Example:

"23000.00"

other_pay_ytd
string<decimal> | null

All other pays year to date

Example:

"700.00"

bonus_ytd
string<decimal> | null

Bonus year to date

Example:

"1000.00"

commission_ytd
string<decimal> | null

Commission year to date

Example:

"24000.00"

overtime
string<decimal> | null

Overtime pay

Example:

"45.00"

overtime_ytd
string<decimal> | null

Overtime pay year to date

Example:

"500.00"

other_pay
string<decimal> | null

All other pays

Example:

"60.00"

earnings
object[] | null

Earnings for this pay cycle by type

Example:
[
{
"name": "Regular",
"amount": "1935.77",
"category": "regular",
"rate": null,
"units": null
},
{
"name": "Overtime",
"amount": "60.58",
"category": "overtime",
"rate": "30.29",
"units": "2"
}
]
earnings_ytd
object[] | null

Earnings year to date by type

Example:
[
{
"name": "Regular",
"amount": "1935.77",
"category": "regular",
"rate": null,
"units": null
},
{
"name": "Overtime",
"amount": "60.58",
"category": "overtime",
"rate": "30.29",
"units": "2"
}
]
deductions
object[] | null

Deductions for this pay cycle by type

Example:
[
{
"name": "Social Security Tax",
"amount": "127.01",
"category": "socialsec"
},
{
"name": "VA State Income Tax",
"amount": "46.23",
"category": "state"
},
{
"name": "Medicare Tax",
"amount": "29.7",
"category": "medicare"
}
]
deductions_ytd
object[] | null

Deductions year to date by type

Example:
[
{
"name": "Social Security Tax",
"amount": "127.01",
"category": "socialsec"
},
{
"name": "VA State Income Tax",
"amount": "46.23",
"category": "state"
},
{
"name": "Medicare Tax",
"amount": "29.7",
"category": "medicare"
}
]
md5sum
string<string> | null

MD5 hash value computed based on the file content

Example:

"03639d6a6624f69a54a88ea90bd25e9d"

file
string<uri> | null

Link to a pay stub file (format is specified in the content-type)

Example:

"https://cdn.truv.com/paystub_sample.pdf"

derived_fields
string[]

Array of derived fields

Example:
["basis_of_pay"]
missing_data_fields
string[]

List of the data fields which are missing in the payroll API response

Example:
["earnings_ytd"]